<?php
namespace App\Services\Auth\OTP\Sending;

class PhoneService implements OTPInterface
{
    public function sendOTP($requestContent) :array
    {
        $status = 200;
        $message = __('web.success');
        $redirect = route('verify').'?target='.$requestContent['phone'];

        $response =
        [
            'status' => $status,
            'data'=> $redirect,
            'message' => $message,
        ];
        return $response;
    }
}
